Skip to main content
GET
Flow per strike intraday

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

filter
enum<string>
default:NetPremium

Retrieve the strikes with the highest filter parameter.

Available options:
NetPremium,
Volume,
Trades
Example:

"Volume"

Response

The flow data per strike for a trading day.

call_premium
string

The sum of the premium of all the call transactions that executed.

Example:

"9908777.0"

call_premium_ask_side
string

The sum of the premium of all the call transactions that executed on the ask side.

Example:

"5037703.0"

call_premium_bid_side
string

The sum of the premium of all the call transactions that executed on the bid side.

Example:

"4055973.0"

call_trades
integer

The amount of call transactions that executed.

Example:

6338

call_volume
integer

The sum of the size of all the call transactions that executed.

Example:

990943

call_volume_ask_side
integer

The sum of the size of all the call transactions that executed on the ask side.

Example:

417251

call_volume_bid_side
integer

The sum of the size of all the call transactions that executed on the bid side.

Example:

498271

date
string

A trading date in ISO format.

Example:

"2023-09-08T00:00:00.000Z"

put_premium
string

The sum of the premium of all the put transactions that executed.

Example:

"163537151"

put_premium_ask_side
string

The sum of the premium of all the put transactions that executed on the ask side.

Example:

"799873.0"

put_premium_bid_side
string

The sum of the premium of all the put transactions that executed on the bid side.

Example:

"4055973.0"

put_trades
integer

The amount of put transactions that executed.

Example:

841

put_volume
integer

The sum of the size of all the put transactions that executed.

Example:

808326

put_volume_ask_side
integer

The sum of the size of all the put transactions that executed on the ask side.

Example:

431791

put_volume_bid_side
integer

The sum of the size of all the put transactions that executed on the bid side.

Example:

314160

strike
string

The contract strike.

Example:

"375"

ticker
string

The stock ticker.

Example:

"AAPL"

timestamp
string

A UTC timestamp.

Example:

"2023-12-12T16:35:52.168Z"

Last modified on September 29, 2026